For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment intents
      • GETGet payment intent by ID
      • PATCHUpdate the payment intent amount
      • GETGet the payment intent history
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment intents

Get payment intent by ID

GET
/payment_intents/:payment_intent_id
GET
/v1/payment_intents/:payment_intent_id
$curl https://api.sandbox.monite.com/v1/payment_intents/payment_intent_id \
> -H "x-monite-version: 2023-09-01" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "id": "id",
3 "updated_at": "2024-01-15T09:30:00Z",
4 "amount": 1,
5 "currency": "currency",
6 "payment_methods": [
7 "sepa_credit"
8 ],
9 "recipient": {
10 "id": "id",
11 "type": "entity",
12 "bank_accounts": [
13 {
14 "id": "id",
15 "account_holder_name": "Bob Jones",
16 "account_number": "12345678",
17 "bic": "DEUTDEFFXXX",
18 "country": "AF",
19 "currency": "AED",
20 "display_name": "Primary account",
21 "iban": "DE74500700100100000900",
22 "is_default": true,
23 "name": "Primary account",
24 "routing_number": "routing_number",
25 "sort_code": "123456",
26 "was_created_by_user_id": "was_created_by_user_id"
27 }
28 ],
29 "name": "name"
30 },
31 "status": "status",
32 "application_fee_amount": 1,
33 "batch_payment_id": "batch_payment_id",
34 "invoice": {
35 "due_date": "due_date",
36 "file": {
37 "mimetype": "mimetype",
38 "name": "name",
39 "url": "url"
40 },
41 "issue_date": "issue_date"
42 },
43 "object": {
44 "id": "id",
45 "type": "payable"
46 },
47 "payer": {
48 "id": "id",
49 "type": "entity",
50 "bank_accounts": [
51 {
52 "id": "id",
53 "account_holder_name": "Bob Jones",
54 "account_number": "12345678",
55 "bic": "DEUTDEFFXXX",
56 "country": "AF",
57 "currency": "AED",
58 "display_name": "Primary account",
59 "iban": "DE74500700100100000900",
60 "is_default": true,
61 "name": "Primary account",
62 "routing_number": "routing_number",
63 "sort_code": "123456",
64 "was_created_by_user_id": "was_created_by_user_id"
65 }
66 ],
67 "name": "name"
68 },
69 "payment_link_id": "payment_link_id",
70 "payment_reference": "payment_reference",
71 "provider": "provider",
72 "selected_payment_method": "sepa_credit"
73}
Was this page helpful?
Previous

Update the payment intent amount

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_intent_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
updated_atdatetime
amountinteger
currencystring
payment_methodslist of enums
recipientobject
statusstring
application_fee_amountinteger
batch_payment_idstringformat: "uuid"
invoiceobject
objectobject
payerobject
payment_link_idstringformat: "uuid"
payment_referencestring
providerstring
selected_payment_methodenum

Errors

422
Get Payment Intents ID Request Unprocessable Entity Error
500
Get Payment Intents ID Request Internal Server Error